module full_adder(output c_out, sum, input c_in, a, b);
  wire s1, c1, c2; // logic s1, c1, c2
  
  xor x1(s1, a, b);
  and a1(c1, a, b);
  xor x2(sum, s1, c_in);
  and a2(c2, s1, c_in);
  or o1(c_out, c1, c2);
endmodule
