module full_adder_tb;
  reg c_in, a, b; // logic c_in, a, b;
  wire c_out, sum; // logic c_out, sum;
  
  full_adder dut(.c_out(c_out), .sum(sum), .c_in(c_in), .a(a), .b(b));
  
  initial begin
    c_in = 1'b0; a = 1'b0; b = 1'b 0;
    #10 a = 1'b1;
    #10 b = 1;
    #10 c_in = 1;
    #10 $stop;
  end

  initial $dumpvars(0,full_adder_tb); // needed for gtkwave

endmodule
